/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include <config.h>

#include "VectorizationTest.h"

using namespace advisor;

std::string VectorizationTest::vectorization_not_measured = QObject::tr(
    "Vectorization of computation code hasn't been measured" ).toStdString();


VectorizationTest::VectorizationTest( cube::CubeProxy* cube ) : PerformanceTest( cube )
{
    setName( tr( "Vectorization" ).toUtf8().data() );
    setWeight( 0.2 );   // need to be adjusted
    setValue( 0 );
}

void
VectorizationTest::applyCnode( const cube::Cnode* cnode, const cube::CalculationFlavour cnf  )
{
    setValue( 0 );
}

void
VectorizationTest::applyCnode( const cube::list_of_cnodes& cnodes  )
{
    setValue( 0 );
}

const std::string&
VectorizationTest::getCommentText() const
{
    return vectorization_not_measured;
}


// ------ overview tests ---------

bool
VectorizationTest::isActive() const
{
    return false;
};

bool
VectorizationTest::isIssue() const
{
    return false;
};
