/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include <config.h>

#include "OverallComputationPerformanceTest.h"

using namespace advisor;

OverallComputationPerformanceTest::OverallComputationPerformanceTest(
    ComputationLoadBalanceTest* _comp_load_balance
    ) : PerformanceTest( NULL ) // we dont use cube here.. just average results of another tests
{
    comp_load_balance = _comp_load_balance;
    setName( tr( "Computation Overall" ).toUtf8().data() );
    setWeight( 2 );   // not important here
}


void
OverallComputationPerformanceTest::calculateOverall()
{
    comp_load_balance_weight = comp_load_balance->isActive() ? comp_load_balance->weight() : 0.;

    double comp_load_balance_value = comp_load_balance->value();

    double wsum = (
        comp_load_balance_value * comp_load_balance_weight
        );
    double norm = (
        comp_load_balance_weight
        );
    setValue( wsum / norm );
}

const std::string&
OverallComputationPerformanceTest::getCommentText() const
{
    return no_comment;
}
